- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes

# QScriptClassPropertyIterator Class Reference

Search for all occurrences

## Detailed Description

Definition at line 39 of file qscriptclasspropertyiterator.h.

`#include <qscriptclasspropertyiterator.h>`

List of all members.

## Public Member Functions
virtual | ~QScriptClassPropertyIterator ()
QScriptValue | object () const
virtual bool | hasNext () const =0
virtual void | next ()=0
virtual bool | hasPrevious () const =0
virtual void | previous ()=0
virtual void | toFront ()=0
virtual void | toBack ()=0
virtual QScriptString | name () const =0
virtual uint | id () const
virtual QScriptValue::PropertyFlags | flags () const
## Protected Member Functions
| QScriptClassPropertyIterator (const QScriptValue &object)
| QScriptClassPropertyIterator (const QScriptValue &object, QScriptClassPropertyIteratorPrivate &dd)
## Protected Attributes
QScopedPointer < QScriptClassPropertyIteratorPrivate > | d_ptr

## Constructor & Destructor Documentation

QScriptClassPropertyIterator | ( | const QScriptValue & | object | ) | `[protected]`

virtual ~QScriptClassPropertyIterator | ( |  | ) | `[virtual]`

QScriptClassPropertyIterator | ( | const QScriptValue & | object,
|  | QScriptClassPropertyIteratorPrivate & | dd
| ) |  | `[protected]`

## Member Function Documentation

QScriptValue object | ( |  | ) | const

Search for all occurrences

virtual bool hasNext | ( |  | ) | const `[pure virtual]`

Search for all occurrences

virtual void next | ( |  | ) | `[pure virtual]`

Search for all occurrences

virtual bool hasPrevious | ( |  | ) | const `[pure virtual]`

Search for all occurrences

virtual void previous | ( |  | ) | `[pure virtual]`

Search for all occurrences

virtual void toFront | ( |  | ) | `[pure virtual]`

Search for all occurrences

virtual void toBack | ( |  | ) | `[pure virtual]`

Search for all occurrences

virtual QScriptString name | ( |  | ) | const `[pure virtual]`

Search for all occurrences

virtual uint id | ( |  | ) | const `[virtual]`

Search for all occurrences

virtual QScriptValue::PropertyFlags flags | ( |  | ) | const `[virtual]`

Search for all occurrences

## Member Data Documentation

QScopedPointer<QScriptClassPropertyIteratorPrivate> d_ptr `[protected]`

Search for all occurrences

Definition at line 64 of file qscriptclasspropertyiterator.h.

The documentation for this class was generated from the following file:

- QtScript/qscriptclasspropertyiterator.h

QScriptClassPropertyIterator QScriptClassPropertyIterator QScriptClassPropertyIterator QScriptClassPropertyIterator QScriptClassPropertyIterator QScriptClassPropertyIterator QScriptClassPropertyIterator QScriptClassPropertyIterator QScriptClassPropertyIterator QScriptClassPropertyIterator
QScriptClassPropertyIterator QScriptClassPropertyIterator QScriptClassPropertyIterator QScriptClassPropertyIterator QScriptClassPropertyIterator QScriptClassPropertyIterator QScriptClassPropertyIterator QScriptClassPropertyIterator QScriptClassPropertyIterator QScriptClassPropertyIterator